<template>
  <InstallationBanner />
  <SubscriptionBanner />
  <div>
    <a href="https://vitejs.dev" target="_blank">
      <img src="/vite.svg" class="logo" alt="Vite logo" />
    </a>
    <a href="https://vuejs.org/" target="_blank">
      <img src="./assets/vue.svg" class="logo vue" alt="Vue logo" />
    </a>
  </div>
  <HelloWorld msg="Vite + Vue" />
</template>

<script lang="ts">
import HelloWorld from './components/HelloWorld.vue'
import InstallationBanner from './components/pwa/InstallationBanner.vue';
import SubscriptionBanner from './components/pwa/SubscriptionBanner.vue';

export default {
  name: "app",
  components: {
    HelloWorld,
    InstallationBanner,
    SubscriptionBanner
  }
}
</script>

<style scoped>
.logo {
  height: 6em;
  padding: 1.5em;
  will-change: filter;
  transition: filter 300ms;
}

.logo:hover {
  filter: drop-shadow(0 0 2em #646cffaa);
}

.logo.vue:hover {
  filter: drop-shadow(0 0 2em #42b883aa);
}
</style>
